## awesome 2.0.final

=== Makefile ===
# awesome
# © 2007 Julien Danjou <julien@danjou.info>

include config.mk

SRC = client.c draw.c event.c layout.c awesome.c tag.c util.c xutil.c config.c screen.c statusbar.c uicb.c window.c rules.c mouse.c awesome-client-common.c
OBJ = ${SRC:.c=.o} ${LAYOUTS:.c=.o}
DOCS = awesome.1.txt awesome-client.1.txt

SRCCLIENT = awesome-client.c awesome-client-common.c util.c
OBJCLIENT = ${SRCCLIENT:.c=.o}

all: options awesome awesome-client

options:
	@echo awesome build options:
	@echo "LAYOUTS  = ${LAYOUTS}"
	@echo "CFLAGS   = ${CFLAGS}"
	@echo "LDFLAGS  = ${LDFLAGS}"
	@echo "CC       = ${CC}"

.c.o:
	@echo -e "\t(CC) $<"
	@${CC} -c ${CFLAGS} $< -o $@

${OBJ}: awesome.h config.mk

${OBJCLIENT}: config.mk

man: ${DOCS}
	asciidoc -d manpage -b docbook awesome.1.txt
	asciidoc -d manpage -b docbook awesome-client.1.txt
	xmlto man awesome.1.xml
	xmlto man awesome-client.1.xml

awesome-client: ${OBJCLIENT}
	@echo -e "\t(CC) ${OBJCLIENT} -o $@"
	@${CC} -o $@ ${OBJCLIENT} ${CLIENTLDFLAGS}

awesome: ${OBJ}
	@echo -e "\t(CC) ${OBJ} -o $@"
	@${CC} -o $@ ${OBJ} ${LDFLAGS}

clean:
	@echo cleaning
	@rm -f awesome awesome-client ${DOCS:.txt=} ${DOCS:.txt=.xml} ${OBJCLIENT} ${OBJ} awesome-${VERSION}.tar.gz
	@rm -rf doc

dist: clean
	@echo creating dist tarball
	@mkdir awesome-${VERSION}
	@mkdir awesome-${VERSION}/layouts
	@cp -fR STYLE LICENSE AUTHORS Makefile README awesomerc config.mk \
	    awesome-client.1.txt awesome.1.txt ${SRCCLIENT} ${SRCCLIENT:.c=.h} ${SRC} ${SRC:.c=.h} \
	    common.h awesome-${VERSION} || true
	@cp -R ${LAYOUTS} ${LAYOUTS:.c=.h} awesome-${VERSION}/layouts
	@tar -cf awesome-${VERSION}.tar awesome-${VERSION}
	@gzip -9 awesome-${VERSION}.tar
	@rm -rf awesome-${VERSION}

strip: awesome awesome-client
	strip awesome
	strip awesome-client

install: strip install-unstrip

install-unstrip: awesome awesome-client man
	@echo installing executable file to ${DESTDIR}${PREFIX}/bin
	@install -d ${DESTDIR}${PREFIX}/bin
	@install -m 755 awesome awesome-client ${DESTDIR}${PREFIX}/bin
	@echo installing manual page to ${DESTDIR}${MANPREFIX}/man1
	@install -d ${DESTDIR}${MANPREFIX}/man1
	@install -m 644 ${DOCS:.txt=} ${DESTDIR}${MANPREFIX}/man1

uninstall:
	@echo removing executable file from ${DESTDIR}${PREFIX}/bin
	@rm ${DESTDIR}${PREFIX}/bin/awesome ${DESTDIR}${PREFIX}/bin/awesome-client
	@echo removing manual page from ${DESTDIR}${MANPREFIX}/man1
	@rm ${DESTDIR}${MANPREFIX}/man1/awesome.1 ${DESTDIR}${MANPREFIX}/man1/awesome-client.1

doc:
	@echo generating documentation
	@doxygen awesome.doxygen

.PHONY: all options clean dist install uninstall doc man

## awesome 3.3.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6.0)
set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS  TRUE)

if(COMMAND cmake_policy)
    cmake_policy(VERSION 2.6)
endif()

set(SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
set(BUILD_DIR ${CMAKE_CURRENT_BINARY_DIR})

if(NOT EXISTS ${SOURCE_DIR}/awesomeConfig.cmake)
    message(FATAL_ERROR "Please provide awesomeConfig.cmake")
endif()

include(awesomeConfig.cmake)

include_directories(
    ${SOURCE_DIR}
    ${BUILD_DIR}
    ${BUILD_DIR}/common
    ${AWESOME_COMMON_REQUIRED_INCLUDE_DIRS}
    ${AWESOME_REQUIRED_INCLUDE_DIRS}
    ${AWESOME_OPTIONAL_INCLUDE_DIRS})

file(GLOB_RECURSE AWE_LUA_FILES ${BUILD_DIR}/lib/*.lua)

set(AWE_CONF_FILE_DEFAULT ${BUILD_DIR}/awesomerc.lua)
set(AWE_CONF_FILE rc.lua)

set(AWE_ICON_DIR ${SOURCE_DIR}/icons)
set(AWE_THEMES_DIR ${SOURCE_DIR}/themes)

set(AWE_DOC_FILES
    ${SOURCE_DIR}/AUTHORS
    ${SOURCE_DIR}/BUGS
    ${SOURCE_DIR}/README
    ${SOURCE_DIR}/LICENSE)

set(AWE_SRCS
    ${SOURCE_DIR}/awesome.c
    ${SOURCE_DIR}/client.c
    ${SOURCE_DIR}/dbus.c
    ${SOURCE_DIR}/root.c
    ${SOURCE_DIR}/event.c
    ${SOURCE_DIR}/property.c
    ${SOURCE_DIR}/ewmh.c
    ${SOURCE_DIR}/key.c
    ${SOURCE_DIR}/keygrabber.c
    ${SOURCE_DIR}/mousegrabber.c
    ${SOURCE_DIR}/layout.c
    ${SOURCE_DIR}/luaa.c
    ${SOURCE_DIR}/spawn.c
    ${SOURCE_DIR}/hooks.c
    ${SOURCE_DIR}/mouse.c
    ${SOURCE_DIR}/button.c
    ${SOURCE_DIR}/screen.c
    ${SOURCE_DIR}/stack.c
    ${SOURCE_DIR}/selection.c
    ${SOURCE_DIR}/wibox.c
    ${SOURCE_DIR}/systray.c
    ${SOURCE_DIR}/tag.c
    ${SOURCE_DIR}/titlebar.c
    ${SOURCE_DIR}/widget.c
    ${SOURCE_DIR}/window.c
    ${SOURCE_DIR}/image.c
    ${SOURCE_DIR}/draw.c
    ${SOURCE_DIR}/color.c
    ${SOURCE_DIR}/swindow.c
    ${SOURCE_DIR}/common/buffer.c
    ${SOURCE_DIR}/common/atoms.c
    ${SOURCE_DIR}/common/util.c
    ${SOURCE_DIR}/common/version.c
    ${SOURCE_DIR}/common/xembed.c
    ${SOURCE_DIR}/common/xutil.c
    ${SOURCE_DIR}/common/xcursor.c
    ${SOURCE_DIR}/widgets/graph.c
    ${SOURCE_DIR}/widgets/progressbar.c
    ${SOURCE_DIR}/widgets/textbox.c
    ${SOURCE_DIR}/widgets/systray.c
    ${SOURCE_DIR}/widgets/imagebox.c)

set(AWE_MAN_SRCS
    ${SOURCE_DIR}/manpages/awesome.1.txt
    ${SOURCE_DIR}/manpages/awsetbg.1.txt
    ${SOURCE_DIR}/manpages/awesome-client.1.txt
    ${SOURCE_DIR}/manpages/awesomerc.5.txt)

add_executable(${PROJECT_AWE_NAME}
    ${AWE_SRCS}
    ${BUILD_DIR}/common/tokenize.c)

set_target_properties(${PROJECT_AWE_NAME}
    PROPERTIES
    LINK_FLAGS -export-dynamic)

target_link_libraries(${PROJECT_AWE_NAME}
    ${AWESOME_COMMON_REQUIRED_LIBRARIES}
    ${AWESOME_REQUIRED_LIBRARIES}
    ${AWESOME_OPTIONAL_LIBRARIES})

# {{{ Generated sources
add_custom_command(
    COMMAND ${SOURCE_DIR}/build-utils/widgetgen.sh
    ARGS    > ${BUILD_DIR}/widgetgen.h
    OUTPUT  ${BUILD_DIR}/widgetgen.h
    WORKING_DIRECTORY ${SOURCE_DIR}
    DEPENDS ${SOURCE_DIR}/widget.h
    COMMENT "Generating widgetgen.h"
    VERBATIM)

# atoms
file(MAKE_DIRECTORY ${BUILD_DIR}/common)
add_custom_command(
    COMMAND ${SOURCE_DIR}/build-utils/atoms-ext.sh ${SOURCE_DIR}/common/atoms.list
    ARGS    > ${BUILD_DIR}/common/atoms-extern.h
    OUTPUT  ${BUILD_DIR}/common/atoms-extern.h
    WORKING_DIRECTORY ${SOURCE_DIR}
    DEPENDS ${SOURCE_DIR}/common/atoms.list
    COMMENT "Generating atoms-extern.h"
    VERBATIM)

add_custom_command(
    COMMAND ${SOURCE_DIR}/build-utils/atoms-int.sh ${SOURCE_DIR}/common/atoms.list
    ARGS    > ${BUILD_DIR}/common/atoms-intern.h
    OUTPUT  ${BUILD_DIR}/common/atoms-intern.h
    WORKING_DIRECTORY ${SOURCE_DIR}
    DEPENDS ${SOURCE_DIR}/common/atoms.list
    COMMENT "Generating atoms-intern.h"
    VERBATIM)

# gperf
add_custom_command(
    COMMAND ${SOURCE_DIR}/build-utils/gperf.sh
    ARGS    ${SOURCE_DIR}/common/tokenize.gperf
            ${BUILD_DIR}/common/tokenize.h
    OUTPUT  ${BUILD_DIR}/common/tokenize.h
    DEPENDS ${SOURCE_DIR}/common/tokenize.gperf
            ${SOURCE_DIR}/build-utils/gperf.sh
    COMMENT "Generating common/tokenize.h")

add_custom_command(
    COMMAND ${SOURCE_DIR}/build-utils/gperf.sh
    ARGS    ${SOURCE_DIR}/common/tokenize.gperf
            ${BUILD_DIR}/common/tokenize.c
    OUTPUT  ${BUILD_DIR}/common/tokenize.c
    DEPENDS ${SOURCE_DIR}/common/tokenize.gperf
            ${SOURCE_DIR}/build-utils/gperf.sh
    COMMENT "Generating common/tokenize.c")

add_custom_target(generated_sources
    DEPENDS ${BUILD_DIR}/widgetgen.h
            ${BUILD_DIR}/common/atoms-intern.h
            ${BUILD_DIR}/common/atoms-extern.h
            ${BUILD_DIR}/common/tokenize.c
            ${BUILD_DIR}/common/tokenize.h)

# Default theme directory
file(MAKE_DIRECTORY ${BUILD_DIR}/themes/default)
file(MAKE_DIRECTORY ${BUILD_DIR}/themes/sky)
add_dependencies(${PROJECT_AWE_NAME} generated_sources)
# }}}

# {{{ Version stamp
if(BUILD_FROM_GIT)
    add_custom_target(version_stamp ALL
        COMMAND ${SOURCE_DIR}/build-utils/git-version-stamp.sh
                ${VERSION_STAMP_FILE}
                ${BUILD_DIR}/awesome-version-internal.h
        WORKING_DIRECTORY ${SOURCE_DIR})

    add_dependencies(${PROJECT_AWE_NAME} version_stamp)
endif()
# }}}

# {{{ Manpages
if(GENERATE_MANPAGES)
    if(NOT BUILD_DIR STREQUAL SOURCE_DIR)
        file(MAKE_DIRECTORY ${BUILD_DIR}/manpages)
    endif()
    foreach(txtfile ${AWE_MAN_SRCS})
        string(REGEX REPLACE ".txt\$" ".xml" xmlfile ${txtfile})
        string(REPLACE ${SOURCE_DIR}
                       ${BUILD_DIR} xmlfile ${xmlfile})
        string(REGEX REPLACE ".xml\$" ".gz" gzfile ${xmlfile})
        string(REGEX REPLACE ".gz\$" "" manfile ${gzfile})

        add_custom_command(
            COMMAND ${ASCIIDOC_EXECUTABLE} -d manpage -b docbook -o ${xmlfile} - < ${txtfile}
            WORKING_DIRECTORY ${BUILD_DIR}/manpages
            OUTPUT  ${xmlfile}
            DEPENDS ${txtfile}
            VERBATIM)
        add_custom_command(
            COMMAND ${XMLTO_EXECUTABLE} man ${xmlfile}
            OUTPUT  ${manfile}
            WORKING_DIRECTORY ${BUILD_DIR}/manpages
            DEPENDS ${xmlfile})
        add_custom_command(
            COMMAND ${GZIP_EXECUTABLE} < ${manfile} > ${gzfile}
            OUTPUT  ${gzfile}
            WORKING_DIRECTORY ${BUILD_DIR}/manpages
            DEPENDS ${manfile}
            VERBATIM)

        set(MAN_FILES ${MAN_FILES} ${gzfile})

        # figure out in what section to install to from filename
        string(REGEX REPLACE "^.*\\.([0-9])\\.gz\$" "\\1" section ${gzfile})
        set(AWE_MAN${section}_FILES ${AWE_MAN${section}_FILES} ${gzfile})
    endforeach()

    add_custom_target(man ALL DEPENDS ${MAN_FILES})
endif()
# }}}

# {{{ Doxygen
if(DOXYGEN_EXECUTABLE)
    add_custom_target(doc
        COMMAND ${DOXYGEN_EXECUTABLE} awesome.doxygen
        WORKING_DIRECTORY ${BUILD_DIR})
endif()
# }}}

# {{{ Lua API Documentation
if(GENERATE_LUADOC)

    set(capi_lua ${BUILD_DIR}/lib/capi.lua)

    if(NOT BUILD_DIR STREQUAL SOURCE_DIR)
        file(MAKE_DIRECTORY ${BUILD_DIR}/lib)
    endif()

    # {{{ setup a command for ${capi_lua}
    macro(a_file_match infile regex result_var)
        file(STRINGS ${infile} match REGEX ${regex} LIMIT_COUNT 1)
        if(match)
            set(${result_var} TRUE)
        else()
            set(${result_var} FALSE)
        endif()
    endmacro()

    set(luadoc_c_srcs "")

    # find .c files exporting lua functions
    foreach(cfile ${AWE_SRCS})
        a_file_match(${cfile} "const struct luaL_reg" result)
        if(result)
            set(luadoc_c_srcs ${luadoc_c_srcs} ${cfile})
        else()
            a_file_match(${cfile} "luaA_.*_index" result)
            if(result)
                set(luadoc_c_srcs ${luadoc_c_srcs} ${cfile})
        endif()
        endif()
    endforeach()

    # create fake lua source file to process by luadoc
    add_custom_command(
        COMMAND ${CAT_EXECUTABLE} ${luadoc_c_srcs}
                | ${LUA_EXECUTABLE} ${SOURCE_DIR}/build-utils/fake-lua-src.lua
                > ${capi_lua}
        OUTPUT  ${capi_lua}
        DEPENDS ${luadoc_c_srcs}
        COMMENT "Generating fake lua source."
        VERBATIM)
    # }}}

    # Generate documentation of lib//0lua
    file(GLOB_RECURSE lua_lib_files ${BUILD_DIR}/lib/*.lua)
    foreach(filename ${lua_lib_files})
        file(RELATIVE_PATH filename ${BUILD_DIR}/lib ${filename})
        set(luadoc_srcs ${luadoc_srcs} ${filename})
    endforeach()

    add_custom_target(luadoc ALL
        COMMAND ${LUADOC_EXECUTABLE} ${luadoc_srcs} -d ${BUILD_DIR}/luadoc
        WORKING_DIRECTORY ${BUILD_DIR}/lib
        DEPENDS ${AWE_LUA_FILES} ${capi_lua})
endif()
# }}}

# {{{ Theme icons
file(GLOB icon_sources ${SOURCE_DIR}/themes/*/titlebar/*.png)
set(ALL_ICONS ${icon_sources})

macro(a_icon_convert match replacement input)
    string(REPLACE ${match} ${replacement} output ${input})

    if(NOT ${input} STREQUAL ${output})
        if(NOT ${output} MATCHES ${BUILD_DIR})
            string(REPLACE ${SOURCE_DIR} ${BUILD_DIR} output ${output})
        endif()

        set(ALL_ICONS ${ALL_ICONS} ${output})

        get_filename_component(output_path ${output} PATH)
        file(MAKE_DIRECTORY ${output_path})

        add_custom_command(
            COMMAND ${CONVERT_EXECUTABLE} ${input} ${ARGN} ${output}
            OUTPUT  ${output}
            DEPENDS ${input}
            VERBATIM)
    endif()
endmacro()

foreach(icon ${ALL_ICONS})
    # Make unfocused icons translucent
    a_icon_convert("_focus" "_normal" ${icon}
        -gamma 0.6 -channel A -evaluate Multiply 0.4)
endforeach()

foreach(icon ${ALL_ICONS})
    # Make inactive icons grayscale
    a_icon_convert("_active" "_inactive" ${icon}
        -colorspace Gray)
endforeach()

add_custom_target(generated_icons ALL DEPENDS ${ALL_ICONS})
# }}}

# {{{ Dist tarball
if(BUILD_FROM_GIT)
    add_custom_target(dist
        COMMAND ${SOURCE_DIR}/build-utils/dist.sh ${VERSION}
        WORKING_DIRECTORY ${SOURCE_DIR})
endif()
# }}}

# {{{ Installation
install(TARGETS ${PROJECT_AWE_NAME} RUNTIME DESTINATION bin)
install(FILES "utils/awsetbg" DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install(FILES "utils/awesome-client" DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install(DIRECTORY ${BUILD_DIR}/lib DESTINATION ${AWESOME_DATA_PATH})
install(FILES ${AWE_CONF_FILE_DEFAULT} DESTINATION ${AWESOME_SYSCONFDIR}
        RENAME ${AWE_CONF_FILE})
if(GENERATE_MANPAGES)
    install(FILES ${AWE_MAN1_FILES} DESTINATION ${AWESOME_MAN_PATH}/man1)
    install(FILES ${AWE_MAN5_FILES} DESTINATION ${AWESOME_MAN_PATH}/man5)
endif()
install(DIRECTORY ${AWE_ICON_DIR} DESTINATION ${AWESOME_DATA_PATH})
install(DIRECTORY ${BUILD_DIR}/themes DESTINATION ${AWESOME_DATA_PATH})
install(DIRECTORY ${SOURCE_DIR}/themes DESTINATION ${AWESOME_DATA_PATH}
    PATTERN "*.in" EXCLUDE)
install(FILES ${AWE_DOC_FILES} DESTINATION ${AWESOME_DOC_PATH})
install(FILES "awesome.desktop" DESTINATION ${AWESOME_XSESSION_PATH})
if(GENERATE_LUADOC)
    install(DIRECTORY ${BUILD_DIR}/luadoc DESTINATION ${AWESOME_DOC_PATH})
endif()
# }}}

# vim: filetype=cmake:expandtab:shiftwidth=4:tabstop=8:softtabstop=4:encoding=utf-8:textwidth=80

## awesome 3.4.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,12 +17,11 @@
 include_directories(
     ${SOURCE_DIR}
     ${BUILD_DIR}
-    ${BUILD_DIR}/common
     ${AWESOME_COMMON_REQUIRED_INCLUDE_DIRS}
     ${AWESOME_REQUIRED_INCLUDE_DIRS}
     ${AWESOME_OPTIONAL_INCLUDE_DIRS})
 
-file(GLOB_RECURSE AWE_LUA_FILES ${BUILD_DIR}/lib/*.lua)
+file(GLOB_RECURSE AWE_LUA_FILES ${BUILD_DIR}/lib/*.lua ${BUILD_DIR}/luadoc/*.lua)
 
 set(AWE_CONF_FILE_DEFAULT ${BUILD_DIR}/awesomerc.lua)
 set(AWE_CONF_FILE rc.lua)
@@ -39,6 +38,7 @@
 set(AWE_SRCS
     ${SOURCE_DIR}/awesome.c
     ${SOURCE_DIR}/client.c
+    ${SOURCE_DIR}/strut.c
     ${SOURCE_DIR}/dbus.c
     ${SOURCE_DIR}/root.c
     ${SOURCE_DIR}/event.c
@@ -47,7 +47,7 @@
     ${SOURCE_DIR}/key.c
     ${SOURCE_DIR}/keygrabber.c
     ${SOURCE_DIR}/mousegrabber.c
-    ${SOURCE_DIR}/layout.c
+    ${SOURCE_DIR}/banning.c
     ${SOURCE_DIR}/luaa.c
     ${SOURCE_DIR}/spawn.c
     ${SOURCE_DIR}/hooks.c
@@ -64,8 +64,9 @@
     ${SOURCE_DIR}/window.c
     ${SOURCE_DIR}/image.c
     ${SOURCE_DIR}/draw.c
+    ${SOURCE_DIR}/font.c
     ${SOURCE_DIR}/color.c
-    ${SOURCE_DIR}/swindow.c
+    ${SOURCE_DIR}/timer.c
     ${SOURCE_DIR}/common/buffer.c
     ${SOURCE_DIR}/common/atoms.c
     ${SOURCE_DIR}/common/util.c
@@ -73,6 +74,9 @@
     ${SOURCE_DIR}/common/xembed.c
     ${SOURCE_DIR}/common/xutil.c
     ${SOURCE_DIR}/common/xcursor.c
+    ${SOURCE_DIR}/common/backtrace.c
+    ${SOURCE_DIR}/common/luaobject.c
+    ${SOURCE_DIR}/common/luaclass.c
     ${SOURCE_DIR}/widgets/graph.c
     ${SOURCE_DIR}/widgets/progressbar.c
     ${SOURCE_DIR}/widgets/textbox.c
@@ -97,16 +101,6 @@
     ${AWESOME_COMMON_REQUIRED_LIBRARIES}
     ${AWESOME_REQUIRED_LIBRARIES}
     ${AWESOME_OPTIONAL_LIBRARIES})
-
-# {{{ Generated sources
-add_custom_command(
-    COMMAND ${SOURCE_DIR}/build-utils/widgetgen.sh
-    ARGS    > ${BUILD_DIR}/widgetgen.h
-    OUTPUT  ${BUILD_DIR}/widgetgen.h
-    WORKING_DIRECTORY ${SOURCE_DIR}
-    DEPENDS ${SOURCE_DIR}/widget.h
-    COMMENT "Generating widgetgen.h"
-    VERBATIM)
 
 # atoms
 file(MAKE_DIRECTORY ${BUILD_DIR}/common)
@@ -148,8 +142,7 @@
     COMMENT "Generating common/tokenize.c")
 
 add_custom_target(generated_sources
-    DEPENDS ${BUILD_DIR}/widgetgen.h
-            ${BUILD_DIR}/common/atoms-intern.h
+    DEPENDS ${BUILD_DIR}/common/atoms-intern.h
             ${BUILD_DIR}/common/atoms-extern.h
             ${BUILD_DIR}/common/tokenize.c
             ${BUILD_DIR}/common/tokenize.h)
@@ -157,6 +150,7 @@
 # Default theme directory
 file(MAKE_DIRECTORY ${BUILD_DIR}/themes/default)
 file(MAKE_DIRECTORY ${BUILD_DIR}/themes/sky)
+file(MAKE_DIRECTORY ${BUILD_DIR}/themes/zenburn)
 add_dependencies(${PROJECT_AWE_NAME} generated_sources)
 # }}}
 
@@ -195,18 +189,27 @@
             OUTPUT  ${manfile}
             WORKING_DIRECTORY ${BUILD_DIR}/manpages
             DEPENDS ${xmlfile})
-        add_custom_command(
-            COMMAND ${GZIP_EXECUTABLE} < ${manfile} > ${gzfile}
-            OUTPUT  ${gzfile}
-            WORKING_DIRECTORY ${BUILD_DIR}/manpages
-            DEPENDS ${manfile}
-            VERBATIM)
-
-        set(MAN_FILES ${MAN_FILES} ${gzfile})
+
+        if(COMPRESS_MANPAGES)
+            add_custom_command(
+                COMMAND ${GZIP_EXECUTABLE} < ${manfile} > ${gzfile}
+                OUTPUT  ${gzfile}
+                WORKING_DIRECTORY ${BUILD_DIR}/manpages
+                DEPENDS ${manfile}
+                VERBATIM)
+
+            set(MAN_FILES ${MAN_FILES} ${gzfile})
+        else()
+            set(MAN_FILES ${MAN_FILES} ${manfile})
+        endif()
 
         # figure out in what section to install to from filename
         string(REGEX REPLACE "^.*\\.([0-9])\\.gz\$" "\\1" section ${gzfile})
-        set(AWE_MAN${section}_FILES ${AWE_MAN${section}_FILES} ${gzfile})
+        if(COMPRESS_MANPAGES)
+            set(AWE_MAN${section}_FILES ${AWE_MAN${section}_FILES} ${gzfile})
+        else()
+            set(AWE_MAN${section}_FILES ${AWE_MAN${section}_FILES} ${manfile})
+        endif()
     endforeach()
 
     add_custom_target(man ALL DEPENDS ${MAN_FILES})
@@ -224,59 +227,24 @@
 # {{{ Lua API Documentation
 if(GENERATE_LUADOC)
 
-    set(capi_lua ${BUILD_DIR}/lib/capi.lua)
-
     if(NOT BUILD_DIR STREQUAL SOURCE_DIR)
         file(MAKE_DIRECTORY ${BUILD_DIR}/lib)
     endif()
 
-    # {{{ setup a command for ${capi_lua}
-    macro(a_file_match infile regex result_var)
-        file(STRINGS ${infile} match REGEX ${regex} LIMIT_COUNT 1)
-        if(match)
-            set(${result_var} TRUE)
-        else()
-            set(${result_var} FALSE)
-        endif()
-    endmacro()
-
     set(luadoc_c_srcs "")
 
-    # find .c files exporting lua functions
-    foreach(cfile ${AWE_SRCS})
-        a_file_match(${cfile} "const struct luaL_reg" result)
-        if(result)
-            set(luadoc_c_srcs ${luadoc_c_srcs} ${cfile})
-        else()
-            a_file_match(${cfile} "luaA_.*_index" result)
-            if(result)
-                set(luadoc_c_srcs ${luadoc_c_srcs} ${cfile})
-        endif()
-        endif()
-    endforeach()
-
-    # create fake lua source file to process by luadoc
-    add_custom_command(
-        COMMAND ${CAT_EXECUTABLE} ${luadoc_c_srcs}
-                | ${LUA_EXECUTABLE} ${SOURCE_DIR}/build-utils/fake-lua-src.lua
-                > ${capi_lua}
-        OUTPUT  ${capi_lua}
-        DEPENDS ${luadoc_c_srcs}
-        COMMENT "Generating fake lua source."
-        VERBATIM)
-    # }}}
-
     # Generate documentation of lib//0lua
-    file(GLOB_RECURSE lua_lib_files ${BUILD_DIR}/lib/*.lua)
+    file(GLOB_RECURSE lua_lib_files ${BUILD_DIR}/lib/*.lua
+        ${SOURCE_DIR}/luadoc/*.lua)
     foreach(filename ${lua_lib_files})
-        file(RELATIVE_PATH filename ${BUILD_DIR}/lib ${filename})
+        file(RELATIVE_PATH filename ${BUILD_DIR} ${filename})
         set(luadoc_srcs ${luadoc_srcs} ${filename})
     endforeach()
 
     add_custom_target(luadoc ALL
-        COMMAND ${LUADOC_EXECUTABLE} ${luadoc_srcs} -d ${BUILD_DIR}/luadoc
-        WORKING_DIRECTORY ${BUILD_DIR}/lib
-        DEPENDS ${AWE_LUA_FILES} ${capi_lua})
+        COMMAND ${LUADOC_EXECUTABLE} ${luadoc_srcs} -d ${BUILD_DIR}/luadoc --nofiles
+        WORKING_DIRECTORY ${BUILD_DIR}
+        DEPENDS ${AWE_LUA_FILES})
 endif()
 # }}}
 
@@ -332,7 +300,8 @@
 install(TARGETS ${PROJECT_AWE_NAME} RUNTIME DESTINATION bin)
 install(FILES "utils/awsetbg" DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
 install(FILES "utils/awesome-client" DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
-install(DIRECTORY ${BUILD_DIR}/lib DESTINATION ${AWESOME_DATA_PATH})
+install(DIRECTORY ${BUILD_DIR}/lib DESTINATION ${AWESOME_DATA_PATH}
+    PATTERN "*.in" EXCLUDE)
 install(FILES ${AWE_CONF_FILE_DEFAULT} DESTINATION ${AWESOME_SYSCONFDIR}
         RENAME ${AWE_CONF_FILE})
 if(GENERATE_MANPAGES)
@@ -340,7 +309,8 @@
     install(FILES ${AWE_MAN5_FILES} DESTINATION ${AWESOME_MAN_PATH}/man5)
 endif()
 install(DIRECTORY ${AWE_ICON_DIR} DESTINATION ${AWESOME_DATA_PATH})
-install(DIRECTORY ${BUILD_DIR}/themes DESTINATION ${AWESOME_DATA_PATH})
+install(DIRECTORY ${BUILD_DIR}/themes DESTINATION ${AWESOME_DATA_PATH}
+    PATTERN "*.in" EXCLUDE)
 install(DIRECTORY ${SOURCE_DIR}/themes DESTINATION ${AWESOME_DATA_PATH}
     PATTERN "*.in" EXCLUDE)
 install(FILES ${AWE_DOC_FILES} DESTINATION ${AWESOME_DOC_PATH})

=== debian/changelog ===
awesome (3.4.3-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Tue, 19 Jan 2010 14:02:18 +0100

awesome (3.4.2-3) unstable; urgency=low

  * Restore wm alternative (Closes: #560150)

 -- Julien Danjou <acid@debian.org>  Thu, 10 Dec 2009 11:17:36 +0100

awesome (3.4.2-2) unstable; urgency=low

  * Switch to dh7 and 3.0 source format

 -- Julien Danjou <acid@debian.org>  Fri, 27 Nov 2009 11:12:08 +0100

awesome (3.4.2-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Thu, 26 Nov 2009 20:12:24 +0100

awesome (3.4.1-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Mon, 09 Nov 2009 16:16:06 +0100

awesome (3.4-1) unstable; urgency=low

  * New upstream release
    + Works without rlwrap (Closes: #546466)
    + Default bindings for tags use keycode (Closes: #508417)
    + Switch back to the old unmap banning code (Closes: #528512)

 -- Julien Danjou <acid@debian.org>  Tue, 20 Oct 2009 21:02:30 +0200

awesome (3.4~rc3-1) experimental; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Fri, 09 Oct 2009 16:23:31 +0200

awesome (3.4~rc2-1) experimental; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Mon, 28 Sep 2009 14:25:12 +0200

awesome (3.4~rc1-1) experimental; urgency=low

  * New upstream release
    + Fixes bashisms in awesome-client (Closes: #541726)
    + Fix problems with timers (Closes: #533749)

 -- Julien Danjou <acid@debian.org>  Fri, 11 Sep 2009 14:12:31 +0200

awesome (3.3.4-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Mon, 07 Sep 2009 12:47:25 +0200

awesome (3.3.3-2) unstable; urgency=low

  * Cherry-pick WM_TRANIENT_FOR fix from 3.3 branch (Closes: #543481)

 -- Julien Danjou <acid@debian.org>  Fri, 28 Aug 2009 16:47:43 +0200

awesome (3.3.3-1) unstable; urgency=low

  * New upstream release
    + Fix WM_TRANSIENT_FOR loop (Closes: #543481, #529025)
  * Bump standard version

 -- Julien Danjou <acid@debian.org>  Tue, 25 Aug 2009 14:07:50 +0200

awesome (3.3.2-1) unstable; urgency=low

  * New upstream release
    + Do not exit when D-Bus connection is closed (Closes: #527872)
  * Bump standard version
  * Depends on dbus-x11 (Closes: #534272)

 -- Julien Danjou <acid@debian.org>  Mon, 27 Jul 2009 15:29:53 +0200

awesome (3.3.1-1) unstable; urgency=low

  * New upstream release
    + Do not exit when D-Bus connection is closed (Closes: #527872)

 -- Julien Danjou <acid@debian.org>  Thu, 18 Jun 2009 16:25:05 +0200

awesome (3.3-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Thu, 04 Jun 2009 12:00:07 +0200

awesome (3.3~rc4-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Tue, 26 May 2009 17:00:13 +0200

awesome (3.3~rc3-1) unstable; urgency=low

  * New upstream release
  * Build-depends on ImageMagick to build titlebar icons

 -- Julien Danjou <acid@debian.org>  Mon, 18 May 2009 11:28:00 +0200

awesome (3.3~rc2-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Fri, 08 May 2009 15:27:50 +0200

awesome (3.3~rc1-1) unstable; urgency=low

  * New upstream release
    + Build against new libxcb-keysyms (Closes: #525506)
    + Fullscreen layout has an icon (Closes: #521393)
    + New spawn code based on glib (Closes: #501291)
    + New spawn code return errors in prompt (Closes: #502327)
  * Recommends rlwrap for awesome-client
  * Remove auto-generated menu upon purge (Closes: #524546)

 -- Julien Danjou <acid@debian.org>  Fri, 01 May 2009 18:15:45 +0200

awesome (3.2.1-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Sat, 04 Apr 2009 17:20:54 +0200

awesome (3.2-1) unstable; urgency=low

  * New upstream release
    + Fix a bug with handling of some D-Bus type (Closes: #516383)
    + Print regular time now (Closes: #508416)
  * Bump standard policy

 -- Julien Danjou <acid@debian.org>  Fri, 13 Mar 2009 11:09:36 +0100

awesome (3.2~rc4-1) unstable; urgency=low

  * New upstream release
  * Add libdbus build-dep.

 -- Julien Danjou <acid@debian.org>  Thu, 26 Feb 2009 17:47:41 +0100

awesome (3.2~rc3-1) unstable; urgency=low

  * New upstream release.

 -- Julien Danjou <acid@debian.org>  Fri, 20 Feb 2009 15:40:31 +0100

awesome (3.2~rc1-2) experimental; urgency=low

  * Add missing build-deps on libxcb-image0-dev
  * Remove useless x11-xcb build-dep

 -- Julien Danjou <acid@debian.org>  Tue, 10 Feb 2009 17:20:11 +0100

awesome (3.2~rc1-1) experimental; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Fri, 06 Feb 2009 18:06:27 +0100

awesome (3.1.2-1) experimental; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Thu, 05 Feb 2009 15:49:47 +0100

awesome (3.1-1) experimental; urgency=low

  * New upstream release
  * Add a versioned build dependency on cmake (Closes: #508344)

 -- Julien Danjou <acid@debian.org>  Wed, 10 Dec 2008 13:36:35 +0100

awesome (3.1~rc5-1) experimental; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Fri, 05 Dec 2008 10:54:15 +0100

awesome (3.1~rc4-1) experimental; urgency=low

  * New upstream version
    + Fix naughty (Closes: #506803, #506605)
  * Use editor rather than nano in default config (Closes: #507023)

 -- Julien Danjou <acid@debian.org>  Fri, 28 Nov 2008 14:53:49 +0100

awesome (3.1~rc3-1) experimental; urgency=low

  * New upstream version

 -- Julien Danjou <acid@debian.org>  Fri, 21 Nov 2008 11:24:37 +0100

awesome (3.1~rc2-3) experimental; urgency=low

  * Add menu as a dependency

 -- Julien Danjou <acid@debian.org>  Tue, 18 Nov 2008 11:22:29 +0100

awesome (3.1~rc2-2) experimental; urgency=low

  * Fix typo in default configuration file (Closes: #505973)

 -- Julien Danjou <acid@debian.org>  Mon, 17 Nov 2008 11:52:12 +0100

awesome (3.1~rc2-1) experimental; urgency=low



=== debian/control ===
Source: awesome
Section: x11
Priority: optional
Maintainer: Julien Danjou <acid@debian.org>
Build-Depends: debhelper (>= 7.0.50), libcairo2-dev, xmlto, asciidoc, libpango1.0-dev, cmake (>= 2.6.0), gperf, lua5.1, luadoc (>= 3.0.1), libxcb-xtest0-dev, libxcb-icccm1-dev (>= 0.3.3), libxcb-event1-dev (>= 0.3.6), libxcb-randr0-dev (>= 0.3.0), libxcb-aux0-dev (>= 0.3.0), libxcb-keysyms1-dev (>= 0.3.4), libxcb-xinerama0-dev, libxcb-atom1-dev (>= 0.3.0), libxcb-image0-dev (>= 0.3.0), libev-dev, liblua5.1-dev, libimlib2-dev, libdbus-1-dev, libxdg-basedir-dev (>= 1.0.0), libstartup-notification0-dev (>= 0.10), imagemagick, libxcb1-dev (>= 1.4), libxcb-shape0-dev
Standards-Version: 3.8.3
Homepage: http://awesome.naquadah.org
Vcs-Git: git://git.debian.org/git/users/acid/awesome.git
Vcs-Browser: http://git.debian.org/?p=users/acid/awesome.git;a=summary

Package: awesome
Architecture: any
Recommends: x11-xserver-utils, rlwrap
Depends: ${shlibs:Depends}, ${misc:Depends}, menu, dbus-x11
Provides: x-window-manager
Description: highly configurable, next generation framework window manager for X
 Highly configurable window manager for X. It is primarly targeted at power
 users, developers and any people dealing with every day computing tasks and
 want to have fine-grained control on its graphical environment.
 .
 awesome is very extensible and programmable using the Lua programming language.
 It provides an easily usable and very-well documented API to configure and
 define the behaviour of your window manager.
 .
 awesome also supports tiled window management, multi-head, use XCB instead
 of Xlib for better performance, does not need mouse (can be fully keyboard
 driven) and implements many of the Freedesktop standards.
 It also use tags instead of workspace, which gives better flexibility on
 windows display.
 .
 Remote control is possible via D-Bus.

## awesome 3.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -88,6 +88,7 @@
     ${SOURCE_DIR}/manpages/awsetbg.1.txt
     ${SOURCE_DIR}/manpages/awesome-client.1.txt
     ${SOURCE_DIR}/manpages/awesomerc.5.txt)
+set(AWE_MAN_LANGS es fr de)
 
 add_executable(${PROJECT_AWE_NAME}
     ${AWE_SRCS}
@@ -171,45 +172,68 @@
     if(NOT BUILD_DIR STREQUAL SOURCE_DIR)
         file(MAKE_DIRECTORY ${BUILD_DIR}/manpages)
     endif()
-    foreach(txtfile ${AWE_MAN_SRCS})
-        string(REGEX REPLACE ".txt\$" ".xml" xmlfile ${txtfile})
-        string(REPLACE ${SOURCE_DIR}
-                       ${BUILD_DIR} xmlfile ${xmlfile})
-        string(REGEX REPLACE ".xml\$" ".gz" gzfile ${xmlfile})
-        string(REGEX REPLACE ".gz\$" "" manfile ${gzfile})
-
-        add_custom_command(
-            COMMAND ${ASCIIDOC_EXECUTABLE} -d manpage -b docbook -o ${xmlfile} - < ${txtfile}
-            WORKING_DIRECTORY ${BUILD_DIR}/manpages
-            OUTPUT  ${xmlfile}
-            DEPENDS ${txtfile}
-            VERBATIM)
-        add_custom_command(
-            COMMAND ${XMLTO_EXECUTABLE} man ${xmlfile}
-            OUTPUT  ${manfile}
-            WORKING_DIRECTORY ${BUILD_DIR}/manpages
-            DEPENDS ${xmlfile})
-
-        if(COMPRESS_MANPAGES)
+
+    # add the default translation to the list of languages
+    set(AWE_MAN_LANGS default ${AWE_MAN_LANGS})
+
+    foreach(lang ${AWE_MAN_LANGS})
+
+        foreach(txtfile ${AWE_MAN_SRCS})
+            # figure the base name of the file (ie "awesome.1")
+            GET_FILENAME_COMPONENT(tmpname ${txtfile} NAME)
+            string(REGEX REPLACE ".txt\$" "" basename ${tmpname})
+
+            # figure the relative path of the file
+            GET_FILENAME_COMPONENT(tmppath ${txtfile} PATH)
+            string(REPLACE ${SOURCE_DIR}/ "" relpath ${tmppath})
+
+            # figure the manpage section to install to from filename
+            string(REGEX REPLACE "^.*\\.([0-9])$" "\\1" section ${basename})
+
+            # construct the language specific versions of the basename and path
+            if (lang STREQUAL default)
+                set(basename2 ${basename})
+                set(relpath2 ${relpath}/man${section})
+            else()
+                set(basename2 ${basename}.${lang})
+                set(relpath2 ${relpath}/${lang}/man${section})
+            endif()
+
+            # create the build directory (if it does not exist)
+            file(MAKE_DIRECTORY ${BUILD_DIR}/${relpath2})
+
+            # set the final filenames
+            set(txtfile ${SOURCE_DIR}/${relpath}/${basename2}.txt)
+            set(xmlfile ${BUILD_DIR}/${relpath2}/${basename}.xml)
+            set(gzfile  ${BUILD_DIR}/${relpath2}/${basename}.gz)
+            set(manfile ${BUILD_DIR}/${relpath2}/${basename})
+
             add_custom_command(
-                COMMAND ${GZIP_EXECUTABLE} < ${manfile} > ${gzfile}
-                OUTPUT  ${gzfile}
-                WORKING_DIRECTORY ${BUILD_DIR}/manpages
-                DEPENDS ${manfile}
+                COMMAND ${ASCIIDOC_EXECUTABLE} -d manpage -b docbook -o ${xmlfile} - < ${txtfile}
+                WORKING_DIRECTORY ${BUILD_DIR}/${relpath2}
+                OUTPUT  ${xmlfile}
+                DEPENDS ${txtfile}
                 VERBATIM)
-
-            set(MAN_FILES ${MAN_FILES} ${gzfile})
-        else()
-            set(MAN_FILES ${MAN_FILES} ${manfile})
-        endif()
-
-        # figure out in what section to install to from filename
-        string(REGEX REPLACE "^.*\\.([0-9])\\.gz\$" "\\1" section ${gzfile})
-        if(COMPRESS_MANPAGES)
-            set(AWE_MAN${section}_FILES ${AWE_MAN${section}_FILES} ${gzfile})
-        else()
-            set(AWE_MAN${section}_FILES ${AWE_MAN${section}_FILES} ${manfile})
-        endif()
+            add_custom_command(
+                COMMAND ${XMLTO_EXECUTABLE} man ${xmlfile}
+                OUTPUT  ${manfile}
+                WORKING_DIRECTORY ${BUILD_DIR}/${relpath2}
+                DEPENDS ${xmlfile})
+
+            if(COMPRESS_MANPAGES)
+                add_custom_command(
+                    COMMAND ${GZIP_EXECUTABLE} < ${manfile} > ${gzfile}
+                    OUTPUT  ${gzfile}
+                    WORKING_DIRECTORY ${BUILD_DIR}/${relpath2}
+                    DEPENDS ${manfile}
+                    VERBATIM)
+
+                set(MAN_FILES ${MAN_FILES} ${gzfile})
+            else()
+                set(MAN_FILES ${MAN_FILES} ${manfile})
+            endif()
+        endforeach()
+
     endforeach()
 
     add_custom_target(man ALL DEPENDS ${MAN_FILES})
@@ -305,8 +329,13 @@
 install(FILES ${AWE_CONF_FILE_DEFAULT} DESTINATION ${AWESOME_SYSCONFDIR}
         RENAME ${AWE_CONF_FILE})
 if(GENERATE_MANPAGES)
-    install(FILES ${AWE_MAN1_FILES} DESTINATION ${AWESOME_MAN_PATH}/man1)
-    install(FILES ${AWE_MAN5_FILES} DESTINATION ${AWESOME_MAN_PATH}/man5)
+    if(COMPRESS_MANPAGES)
+        set(regex "\\.(xml|[0-9])$")
+    else()
+        set(regex "\\.(xml|gz)$")
+    endif()
+    install(DIRECTORY ${BUILD_DIR}/${relpath}/ DESTINATION ${AWESOME_MAN_PATH}
+            REGEX ${regex} EXCLUDE )
 endif()
 install(DIRECTORY ${AWE_ICON_DIR} DESTINATION ${AWESOME_DATA_PATH})
 install(DIRECTORY ${BUILD_DIR}/themes DESTINATION ${AWESOME_DATA_PATH}

=== debian/changelog ===
awesome (3.4.5-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Thu, 13 May 2010 08:57:22 +0200

awesome (3.4.4-1) unstable; urgency=low

  * New upstream release
  * Workaround Java bug (Closes: #573097)
  * Bump standards policy

 -- Julien Danjou <acid@debian.org>  Tue, 09 Mar 2010 12:04:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Julien Danjou <acid@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libcairo2-dev, xmlto, asciidoc, libpango1.0-dev, cmake (>= 2.6.0), gperf, lua5.1, luadoc (>= 3.0.1), libxcb-xtest0-dev, libxcb-icccm1-dev (>= 0.3.3), libxcb-event1-dev (>= 0.3.6), libxcb-randr0-dev (>= 0.3.0), libxcb-aux0-dev (>= 0.3.0), libxcb-keysyms1-dev (>= 0.3.4), libxcb-xinerama0-dev, libxcb-atom1-dev (>= 0.3.0), libxcb-image0-dev (>= 0.3.0), libev-dev, liblua5.1-dev, libimlib2-dev, libdbus-1-dev, libxdg-basedir-dev (>= 1.0.0), libstartup-notification0-dev (>= 0.10), imagemagick, libxcb1-dev (>= 1.4), libxcb-shape0-dev
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://awesome.naquadah.org
 Vcs-Git: git://git.debian.org/git/users/acid/awesome.git
 Vcs-Browser: http://git.debian.org/?p=users/acid/awesome.git;a=summary

## awesome 3.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -330,9 +330,9 @@
         RENAME ${AWE_CONF_FILE})
 if(GENERATE_MANPAGES)
     if(COMPRESS_MANPAGES)
-        set(regex "\\.(xml|[0-9])$")
+        set(regex "\\.(xml|txt|[0-9])$")
     else()
-        set(regex "\\.(xml|gz)$")
+        set(regex "\\.(xml|txt|gz)$")
     endif()
     install(DIRECTORY ${BUILD_DIR}/${relpath}/ DESTINATION ${AWESOME_MAN_PATH}
             REGEX ${regex} EXCLUDE )

=== debian/changelog ===
awesome (3.4.6-1) unstable; urgency=low

  * New upstream release
  * Bump standards policy

 -- Julien Danjou <acid@debian.org>  Wed, 14 Jul 2010 08:49:49 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Julien Danjou <acid@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libcairo2-dev, xmlto, asciidoc, libpango1.0-dev, cmake (>= 2.6.0), gperf, lua5.1, luadoc (>= 3.0.1), libxcb-xtest0-dev, libxcb-icccm1-dev (>= 0.3.3), libxcb-event1-dev (>= 0.3.6), libxcb-randr0-dev (>= 0.3.0), libxcb-aux0-dev (>= 0.3.0), libxcb-keysyms1-dev (>= 0.3.4), libxcb-xinerama0-dev, libxcb-atom1-dev (>= 0.3.0), libxcb-image0-dev (>= 0.3.0), libev-dev, liblua5.1-dev, libimlib2-dev, libdbus-1-dev, libxdg-basedir-dev (>= 1.0.0), libstartup-notification0-dev (>= 0.10), imagemagick, libxcb1-dev (>= 1.4), libxcb-shape0-dev
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://awesome.naquadah.org
 Vcs-Git: git://git.debian.org/git/users/acid/awesome.git
 Vcs-Browser: http://git.debian.org/?p=users/acid/awesome.git;a=summary

## awesome 3.4.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.6.0)
+cmake_minimum_required(VERSION 2.8.0)
 set(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS  TRUE)
 
 if(COMMAND cmake_policy)
@@ -99,9 +99,9 @@
     LINK_FLAGS -export-dynamic)
 
 target_link_libraries(${PROJECT_AWE_NAME}
-    ${AWESOME_COMMON_REQUIRED_LIBRARIES}
-    ${AWESOME_REQUIRED_LIBRARIES}
-    ${AWESOME_OPTIONAL_LIBRARIES})
+    ${AWESOME_COMMON_REQUIRED_LDFLAGS}
+    ${AWESOME_REQUIRED_LDFLAGS}
+    ${AWESOME_OPTIONAL_LDFLAGS})
 
 # atoms
 file(MAKE_DIRECTORY ${BUILD_DIR}/common)
@@ -273,21 +273,22 @@
 # }}}
 
 # {{{ Theme icons
-file(GLOB icon_sources ${SOURCE_DIR}/themes/*/titlebar/*.png)
+file(GLOB icon_sources RELATIVE ${SOURCE_DIR} ${SOURCE_DIR}/themes/*/titlebar/*.png)
 set(ALL_ICONS ${icon_sources})
+
+foreach(icon ${icon_sources})
+    # Copy all icons to the build dir to simplify the following code.
+    # Source paths are interpreted relative to ${SOURCE_DIR}, target paths
+    # relative to ${BUILD_DIR}.
+    get_filename_component(icon_path ${icon} PATH)
+    file(COPY ${icon} DESTINATION ${icon_path})
+endforeach()
 
 macro(a_icon_convert match replacement input)
     string(REPLACE ${match} ${replacement} output ${input})
 
     if(NOT ${input} STREQUAL ${output})
-        if(NOT ${output} MATCHES ${BUILD_DIR})
-            string(REPLACE ${SOURCE_DIR} ${BUILD_DIR} output ${output})
-        endif()
-
         set(ALL_ICONS ${ALL_ICONS} ${output})
-
-        get_filename_component(output_path ${output} PATH)
-        file(MAKE_DIRECTORY ${output_path})
 
         add_custom_command(
             COMMAND ${CONVERT_EXECUTABLE} ${input} ${ARGN} ${output}

=== debian/changelog ===
awesome (3.4.9-1) unstable; urgency=low

  * New upstream release
  * Bump standard version

 -- Julien Danjou <acid@debian.org>  Mon, 17 Jan 2011 14:46:26 +0100

awesome (3.4.8-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Mon, 04 Oct 2010 11:12:23 +0200

awesome (3.4.7+git-4-g92183ca-1) unstable; urgency=low

  * New upstream snapshot
    + Fix systray size computing (Closes: #552207)

 -- Julien Danjou <acid@debian.org>  Tue, 31 Aug 2010 21:43:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Julien Danjou <acid@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libcairo2-dev, xmlto, asciidoc, libpango1.0-dev, cmake (>= 2.6.0), gperf, lua5.1, luadoc (>= 3.0.1), libxcb-xtest0-dev, libxcb-icccm1-dev (>= 0.3.3), libxcb-event1-dev (>= 0.3.6), libxcb-randr0-dev (>= 0.3.0), libxcb-aux0-dev (>= 0.3.0), libxcb-keysyms1-dev (>= 0.3.4), libxcb-xinerama0-dev, libxcb-atom1-dev (>= 0.3.0), libxcb-image0-dev (>= 0.3.0), libev-dev, liblua5.1-dev, libimlib2-dev, libdbus-1-dev, libxdg-basedir-dev (>= 1.0.0), libstartup-notification0-dev (>= 0.10), imagemagick, libxcb1-dev (>= 1.4), libxcb-shape0-dev
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://awesome.naquadah.org
 Vcs-Git: git://git.debian.org/git/users/acid/awesome.git
 Vcs-Browser: http://git.debian.org/?p=users/acid/awesome.git;a=summary

## awesome 3.4.10

=== debian/changelog ===
awesome (3.4.10-1) unstable; urgency=low

  * New upstream release.

 -- Julien Danjou <acid@debian.org>  Wed, 29 Jun 2011 14:51:02 +0200

awesome (3.4.9-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Cherry-pick patch from upstream to deal with xcb-util 0.3.8.
  * Update build-deps accordingly.

 -- Julien Cristau <jcristau@debian.org>  Sat, 28 May 2011 23:53:51 +0200

awesome (3.4.9-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Patch CMakeList to build successfully. (Closes: #614531)

 -- Ming-Ting Yao Wei <medicalwei@gmail.com>  Sat, 30 Apr 2011 13:56:39 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Julien Danjou <acid@debian.org>
-Build-Depends: debhelper (>= 7.0.50), libcairo2-dev, xmlto, asciidoc, libpango1.0-dev, cmake (>= 2.6.0), gperf, lua5.1, luadoc (>= 3.0.1), libxcb-xtest0-dev, libxcb-icccm1-dev (>= 0.3.3), libxcb-event1-dev (>= 0.3.6), libxcb-randr0-dev (>= 0.3.0), libxcb-aux0-dev (>= 0.3.0), libxcb-keysyms1-dev (>= 0.3.4), libxcb-xinerama0-dev, libxcb-atom1-dev (>= 0.3.0), libxcb-image0-dev (>= 0.3.0), libev-dev, liblua5.1-dev, libimlib2-dev, libdbus-1-dev, libxdg-basedir-dev (>= 1.0.0), libstartup-notification0-dev (>= 0.10), imagemagick, libxcb1-dev (>= 1.4), libxcb-shape0-dev
+Build-Depends: debhelper (>= 7.0.50), libcairo2-dev, xmlto, asciidoc, libpango1.0-dev, cmake (>= 2.6.0), gperf, lua5.1, luadoc (>= 3.0.1), libxcb-xtest0-dev, libxcb-icccm4-dev (>= 0.3.8), libxcb-randr0-dev (>= 0.3.0), libxcb-keysyms1-dev (>= 0.3.4), libxcb-xinerama0-dev, libxcb-image0-dev (>= 0.3.0), libev-dev, liblua5.1-dev, libimlib2-dev, libdbus-1-dev, libxdg-basedir-dev (>= 1.0.0), libstartup-notification0-dev (>= 0.10), imagemagick, libxcb1-dev (>= 1.6), libxcb-shape0-dev, libxcb-util0-dev, libxcb-ewmh1-dev
 Standards-Version: 3.9.1
 Homepage: http://awesome.naquadah.org
 Vcs-Git: git://git.debian.org/git/users/acid/awesome.git

## awesome 3.4.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -88,7 +88,7 @@
     ${SOURCE_DIR}/manpages/awsetbg.1.txt
     ${SOURCE_DIR}/manpages/awesome-client.1.txt
     ${SOURCE_DIR}/manpages/awesomerc.5.txt)
-set(AWE_MAN_LANGS es fr de)
+set(AWE_MAN_LANGS es fr de ru)
 
 add_executable(${PROJECT_AWE_NAME}
     ${AWE_SRCS}
@@ -274,14 +274,15 @@
 
 # {{{ Theme icons
 file(GLOB icon_sources RELATIVE ${SOURCE_DIR} ${SOURCE_DIR}/themes/*/titlebar/*.png)
-set(ALL_ICONS ${icon_sources})
 
 foreach(icon ${icon_sources})
     # Copy all icons to the build dir to simplify the following code.
     # Source paths are interpreted relative to ${SOURCE_DIR}, target paths
     # relative to ${BUILD_DIR}.
     get_filename_component(icon_path ${icon} PATH)
+    get_filename_component(icon_name ${icon} NAME)
     file(COPY ${icon} DESTINATION ${icon_path})
+    set(ALL_ICONS ${ALL_ICONS} "${icon_path}/${icon_name}")
 endforeach()
 
 macro(a_icon_convert match replacement input)

=== debian/changelog ===
awesome (3.4.11-2) unstable; urgency=low

  * Add feh in Recommends (Closes: #658647)

 -- Julien Danjou <acid@debian.org>  Mon, 06 Feb 2012 10:03:14 +0100

awesome (3.4.11-1) unstable; urgency=low

  * New upstream release.
  * Drop xcb 0.3.8 patches (now upstream has it)
  * Bump standard version

 -- Julien Danjou <acid@debian.org>  Wed, 23 Nov 2011 15:33:07 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Julien Danjou <acid@debian.org>
 Build-Depends: debhelper (>= 7.0.50), libcairo2-dev, xmlto, asciidoc, libpango1.0-dev, cmake (>= 2.6.0), gperf, lua5.1, luadoc (>= 3.0.1), libxcb-xtest0-dev, libxcb-icccm4-dev (>= 0.3.8), libxcb-randr0-dev (>= 0.3.0), libxcb-keysyms1-dev (>= 0.3.4), libxcb-xinerama0-dev, libxcb-image0-dev (>= 0.3.0), libev-dev, liblua5.1-dev, libimlib2-dev, libdbus-1-dev, libxdg-basedir-dev (>= 1.0.0), libstartup-notification0-dev (>= 0.10), imagemagick, libxcb1-dev (>= 1.6), libxcb-shape0-dev, libxcb-util0-dev, libxcb-ewmh1-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://awesome.naquadah.org
 Vcs-Git: git://git.debian.org/git/users/acid/awesome.git
 Vcs-Browser: http://git.debian.org/?p=users/acid/awesome.git;a=summary
 
 Package: awesome
 Architecture: any
-Recommends: x11-xserver-utils, rlwrap
+Recommends: x11-xserver-utils, rlwrap, feh
 Depends: ${shlibs:Depends}, ${misc:Depends}, menu, dbus-x11
 Provides: x-window-manager
 Description: highly configurable, next generation framework window manager for X

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_test:

override_dh_auto_build:
	make CMAKE_ARGS="-DSYSCONFDIR=/etc -DPREFIX=/usr"

override_dh_installwm:
	dh_installwm --priority=20 awesome
